#
# spec file for package aps (Version 1.5.SuSE)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  dialog a2ps gs_lib gs_serv -aps

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         aps
Release:      5
Copyright:    1995 Andreas Klemm, Thomas Bueschgens, 1996,97 S.u.S.E.-GmbH
Group: 
Provides:     aps-23 aps-481 susefilter 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      The ultimate printer filter: apsfilter
Version:      1.5.SuSE
Source0: susefilter-1.5.tar.gz
Patch:   susefilter-1.5.dif
%description
This printer filter lets you print arbitrary files on your printer.
The file type is recognized automatically. When needed ghostscript is
run to print PostScript files on non-PostScript printers.
In order to configure the filter, start YaST in your installed system.
Choose "System administration" in the main menu, then "Integrate hardware
into system", and finally "Configure printers". Fill out the mask, and YaST
will configure apsfilter for you.
The conventional SETUP of apsfilter is sure available as
/var/lib/apsfilter/SETUP 
This revised script uses the program dialog to make the
usage more easier for you. The documentation of this version
of apsfilter revised by S.u.S.E. is placed in /usr/doc/packages/apsfilter/.

Authors:
--------
    Andreas Klemm <andreas@knobel.gun.de>
    Thomas Bueschgens <sledge@hammer.oche.de>
    werner@suse.de <werner@suse.de>

%prep
%setup -n susefilter-1.5
%patch
%build
xmkmf -a
make APSBASE=/var/lib/apsfilter
sh makeresol > resolutions
%install
#
 USRDOC=/usr/doc/packages/apsfilter
APSBASE=/var/lib/apsfilter
 OLDAPS=/usr/lib/apsfilter
DESTDIR="$RPM_BUILD_ROOT"
#
make install     DESTDIR=$DESTDIR APSBASE=$APSBASE
make install.man DESTDIR=$DESTDIR APSBASE=$APSBASE
install -c -m 0444 resolutions  ${DESTDIR}/${APSBASE}
mkdir -p ${DESTDIR}${USRDOC}
rm -f    ${DESTDIR}${USRDOC}/doc
ln -s    /var/lib/apsfilter/doc ${DESTDIR}${USRDOC}/doc
install -c -m 0444 COPYRIGHT    ${DESTDIR}${USRDOC}/COPYRIGHT
install -c -m 0444 README.first ${DESTDIR}${USRDOC}/README.first
install -c -m 0444 README       ${DESTDIR}${USRDOC}/README
install -c -m 0444 LIESMICH     ${DESTDIR}${USRDOC}/LIESMICH
install -c -m 0444 VERSION      ${DESTDIR}${USRDOC}/VERSION
install -c -m 0444 OPTIONS      ${DESTDIR}${USRDOC}/OPTIONS
install -c -m 0444 ChangeLog    ${DESTDIR}${USRDOC}/ChangeLog
mkdir -p ${DESTDIR}${OLDAPS}/bin
mkdir -p ${DESTDIR}${OLDAPS}/filter
ln -sf ${USRDOC}/README.SuSE ${DESTDIR}${OLDAPS}/README
ln -sf ${APSBASE}/apsfilter  ${DESTDIR}${OLDAPS}/bin/apsfilter
ln -sf ${APSBASE}/SETUP      ${DESTDIR}${OLDAPS}/SETUP
ln -sf ${APSBASE}/SETUP      ${DESTDIR}${OLDAPS}/bin/SETUP
mkdir -p    ${DESTDIR}/var/spool/lpd
chown lp.lp ${DESTDIR}/var/spool/lpd
#
Check
#
%post
%files
/usr/bin/novell_print
/usr/bin/samba_print
%dir /var/lib/apsfilter/
/var/lib/apsfilter/apsfilter
/var/lib/apsfilter/SETUP
/var/lib/apsfilter/apsfilter.setup
/var/lib/apsfilter/rewindstdin
/var/lib/apsfilter/filter/
/var/lib/apsfilter/handler/
/var/lib/apsfilter/template/
/var/lib/apsfilter/preloads/
/var/lib/apsfilter/tests/
/var/lib/apsfilter/unpack/
/var/lib/apsfilter/doc/
%dir /var/lib/apsfilter/bin/
/var/lib/apsfilter/resolutions
%dir /var/spool/lpd/
/usr/bin/testlp
%dir /usr/doc/packages/apsfilter/
/usr/doc/packages/apsfilter/doc
%doc /usr/doc/packages/apsfilter/COPYRIGHT
%doc /usr/doc/packages/apsfilter/README.first
%doc /usr/doc/packages/apsfilter/README
%doc /usr/doc/packages/apsfilter/LIESMICH
%doc /usr/doc/packages/apsfilter/VERSION
%doc /usr/doc/packages/apsfilter/OPTIONS
%doc /usr/doc/packages/apsfilter/ChangeLog
%dir /usr/lib/apsfilter/
%dir /usr/lib/apsfilter/bin/
/usr/lib/apsfilter/bin/apsfilter
/usr/lib/apsfilter/bin/SETUP
/usr/lib/apsfilter/SETUP
%dir /usr/lib/apsfilter/filter/
/usr/lib/apsfilter/README

